RDKit::RDKitFP::RDKitFPAtomEnv< OutputType > Class Template Reference

`#include <RDKitFPGenerator.h>`

Inheritance diagram for RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >:

## Public Member Functions

OutputType | getBitId (FingerprintArguments< OutputType > *arguments, const std::vector< std::uint32_t > *atomInvariants, const std::vector< std::uint32_t > *bondInvariants, const AdditionalOutput *additionalOutput, bool hashResults=false) const
| calculates and returns the bit id to be set for this atom-environment More...
| RDKitFPAtomEnv (const OutputType bitId, const boost::dynamic_bitset<> &atomsInPath)
| Construct a new RDKitFPAtomEnv object. More...
Public Member Functions inherited from RDKit::AtomEnvironment< OutputType >
virtual | ~AtomEnvironment ()

## Detailed Description

### template<typename OutputType>
class RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >

Definition at line 70 of file RDKitFPGenerator.h.

## Constructor & Destructor Documentation

## RDKitFPAtomEnv()

template<typename OutputType >

RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >::RDKitFPAtomEnv | ( | const OutputType | bitId,
|  | const boost::dynamic_bitset<> & | atomsInPath
| ) |  |

Construct a new RDKitFPAtomEnv object.

Parameters

  bitId | bitId generated for this environment
  atomsInPath | holds atoms in this environment to set additional output

## Member Function Documentation

## getBitId()

template<typename OutputType >

OutputType RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >::getBitId | ( | FingerprintArguments< OutputType > * | arguments,
|  | const std::vector< std::uint32_t > * | atomInvariants,
|  | const std::vector< std::uint32_t > * | bondInvariants,
|  | const AdditionalOutput * | AdditionalOutput,
|  | bool | hashResults = `false`
| ) |  | const

virtual

calculates and returns the bit id to be set for this atom-environment

Parameters

  arguments | Fingerprinting type specific molecule independent arguments
  atomInvariants | Atom-invariants to be used during hashing
  bondInvariants | Bond-invariants to be used during hashing
  hashResults | if set results will be ready to be modded

Returns
  OutputType calculated bit id for this environment

Implements RDKit::AtomEnvironment< OutputType >.

The documentation for this class was generated from the following file:

- RDKitFPGenerator.h